package cn.superdesk.uniorder.dao.entity.accounting.unified.supplier;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class AccountingUnifiedSupplierExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public AccountingUnifiedSupplierExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    accounting_unified_supplier
     *
     * @mbg.generated Fri May 13 14:03:15 CST 2022
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andDimCreateByIsNull() {
            addCriterion("dim_create_by is null");
            return (Criteria) this;
        }

        public Criteria andDimCreateByIsNotNull() {
            addCriterion("dim_create_by is not null");
            return (Criteria) this;
        }

        public Criteria andDimCreateByEqualTo(Integer value) {
            addCriterion("dim_create_by =", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByNotEqualTo(Integer value) {
            addCriterion("dim_create_by <>", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByGreaterThan(Integer value) {
            addCriterion("dim_create_by >", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByGreaterThanOrEqualTo(Integer value) {
            addCriterion("dim_create_by >=", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByLessThan(Integer value) {
            addCriterion("dim_create_by <", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByLessThanOrEqualTo(Integer value) {
            addCriterion("dim_create_by <=", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByIn(List<Integer> values) {
            addCriterion("dim_create_by in", values, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByNotIn(List<Integer> values) {
            addCriterion("dim_create_by not in", values, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByBetween(Integer value1, Integer value2) {
            addCriterion("dim_create_by between", value1, value2, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByNotBetween(Integer value1, Integer value2) {
            addCriterion("dim_create_by not between", value1, value2, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIsNull() {
            addCriterion("accounting_order_sn is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIsNotNull() {
            addCriterion("accounting_order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnEqualTo(String value) {
            addCriterion("accounting_order_sn =", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotEqualTo(String value) {
            addCriterion("accounting_order_sn <>", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnGreaterThan(String value) {
            addCriterion("accounting_order_sn >", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn >=", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLessThan(String value) {
            addCriterion("accounting_order_sn <", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLessThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn <=", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLike(String value) {
            addCriterion("accounting_order_sn like", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotLike(String value) {
            addCriterion("accounting_order_sn not like", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIn(List<String> values) {
            addCriterion("accounting_order_sn in", values, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotIn(List<String> values) {
            addCriterion("accounting_order_sn not in", values, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnBetween(String value1, String value2) {
            addCriterion("accounting_order_sn between", value1, value2, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotBetween(String value1, String value2) {
            addCriterion("accounting_order_sn not between", value1, value2, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusIsNull() {
            addCriterion("accounting_status is null");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusIsNotNull() {
            addCriterion("accounting_status is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusEqualTo(Integer value) {
            addCriterion("accounting_status =", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusNotEqualTo(Integer value) {
            addCriterion("accounting_status <>", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusGreaterThan(Integer value) {
            addCriterion("accounting_status >", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("accounting_status >=", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusLessThan(Integer value) {
            addCriterion("accounting_status <", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusLessThanOrEqualTo(Integer value) {
            addCriterion("accounting_status <=", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusIn(List<Integer> values) {
            addCriterion("accounting_status in", values, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusNotIn(List<Integer> values) {
            addCriterion("accounting_status not in", values, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusBetween(Integer value1, Integer value2) {
            addCriterion("accounting_status between", value1, value2, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("accounting_status not between", value1, value2, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusIsNull() {
            addCriterion("invoice_status is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusIsNotNull() {
            addCriterion("invoice_status is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusEqualTo(Integer value) {
            addCriterion("invoice_status =", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusNotEqualTo(Integer value) {
            addCriterion("invoice_status <>", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusGreaterThan(Integer value) {
            addCriterion("invoice_status >", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_status >=", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusLessThan(Integer value) {
            addCriterion("invoice_status <", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_status <=", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusIn(List<Integer> values) {
            addCriterion("invoice_status in", values, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusNotIn(List<Integer> values) {
            addCriterion("invoice_status not in", values, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusBetween(Integer value1, Integer value2) {
            addCriterion("invoice_status between", value1, value2, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_status not between", value1, value2, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleIsNull() {
            addCriterion("invoice_title is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleIsNotNull() {
            addCriterion("invoice_title is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleEqualTo(String value) {
            addCriterion("invoice_title =", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleNotEqualTo(String value) {
            addCriterion("invoice_title <>", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleGreaterThan(String value) {
            addCriterion("invoice_title >", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_title >=", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleLessThan(String value) {
            addCriterion("invoice_title <", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleLessThanOrEqualTo(String value) {
            addCriterion("invoice_title <=", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleLike(String value) {
            addCriterion("invoice_title like", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleNotLike(String value) {
            addCriterion("invoice_title not like", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleIn(List<String> values) {
            addCriterion("invoice_title in", values, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleNotIn(List<String> values) {
            addCriterion("invoice_title not in", values, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleBetween(String value1, String value2) {
            addCriterion("invoice_title between", value1, value2, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleNotBetween(String value1, String value2) {
            addCriterion("invoice_title not between", value1, value2, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIsNull() {
            addCriterion("invoice_type is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIsNotNull() {
            addCriterion("invoice_type is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeEqualTo(Integer value) {
            addCriterion("invoice_type =", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotEqualTo(Integer value) {
            addCriterion("invoice_type <>", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeGreaterThan(Integer value) {
            addCriterion("invoice_type >", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_type >=", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeLessThan(Integer value) {
            addCriterion("invoice_type <", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_type <=", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIn(List<Integer> values) {
            addCriterion("invoice_type in", values, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotIn(List<Integer> values) {
            addCriterion("invoice_type not in", values, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeBetween(Integer value1, Integer value2) {
            addCriterion("invoice_type between", value1, value2, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_type not between", value1, value2, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andTaxCodeIsNull() {
            addCriterion("tax_code is null");
            return (Criteria) this;
        }

        public Criteria andTaxCodeIsNotNull() {
            addCriterion("tax_code is not null");
            return (Criteria) this;
        }

        public Criteria andTaxCodeEqualTo(String value) {
            addCriterion("tax_code =", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeNotEqualTo(String value) {
            addCriterion("tax_code <>", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeGreaterThan(String value) {
            addCriterion("tax_code >", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeGreaterThanOrEqualTo(String value) {
            addCriterion("tax_code >=", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeLessThan(String value) {
            addCriterion("tax_code <", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeLessThanOrEqualTo(String value) {
            addCriterion("tax_code <=", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeLike(String value) {
            addCriterion("tax_code like", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeNotLike(String value) {
            addCriterion("tax_code not like", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeIn(List<String> values) {
            addCriterion("tax_code in", values, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeNotIn(List<String> values) {
            addCriterion("tax_code not in", values, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeBetween(String value1, String value2) {
            addCriterion("tax_code between", value1, value2, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeNotBetween(String value1, String value2) {
            addCriterion("tax_code not between", value1, value2, "taxCode");
            return (Criteria) this;
        }

        public Criteria andAddressIsNull() {
            addCriterion("address is null");
            return (Criteria) this;
        }

        public Criteria andAddressIsNotNull() {
            addCriterion("address is not null");
            return (Criteria) this;
        }

        public Criteria andAddressEqualTo(String value) {
            addCriterion("address =", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotEqualTo(String value) {
            addCriterion("address <>", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThan(String value) {
            addCriterion("address >", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThanOrEqualTo(String value) {
            addCriterion("address >=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThan(String value) {
            addCriterion("address <", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThanOrEqualTo(String value) {
            addCriterion("address <=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLike(String value) {
            addCriterion("address like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotLike(String value) {
            addCriterion("address not like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressIn(List<String> values) {
            addCriterion("address in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotIn(List<String> values) {
            addCriterion("address not in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressBetween(String value1, String value2) {
            addCriterion("address between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotBetween(String value1, String value2) {
            addCriterion("address not between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andSaleIdIsNull() {
            addCriterion("sale_id is null");
            return (Criteria) this;
        }

        public Criteria andSaleIdIsNotNull() {
            addCriterion("sale_id is not null");
            return (Criteria) this;
        }

        public Criteria andSaleIdEqualTo(Long value) {
            addCriterion("sale_id =", value, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdNotEqualTo(Long value) {
            addCriterion("sale_id <>", value, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdGreaterThan(Long value) {
            addCriterion("sale_id >", value, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdGreaterThanOrEqualTo(Long value) {
            addCriterion("sale_id >=", value, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdLessThan(Long value) {
            addCriterion("sale_id <", value, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdLessThanOrEqualTo(Long value) {
            addCriterion("sale_id <=", value, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdIn(List<Long> values) {
            addCriterion("sale_id in", values, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdNotIn(List<Long> values) {
            addCriterion("sale_id not in", values, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdBetween(Long value1, Long value2) {
            addCriterion("sale_id between", value1, value2, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdNotBetween(Long value1, Long value2) {
            addCriterion("sale_id not between", value1, value2, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleNameIsNull() {
            addCriterion("sale_name is null");
            return (Criteria) this;
        }

        public Criteria andSaleNameIsNotNull() {
            addCriterion("sale_name is not null");
            return (Criteria) this;
        }

        public Criteria andSaleNameEqualTo(String value) {
            addCriterion("sale_name =", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameNotEqualTo(String value) {
            addCriterion("sale_name <>", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameGreaterThan(String value) {
            addCriterion("sale_name >", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameGreaterThanOrEqualTo(String value) {
            addCriterion("sale_name >=", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameLessThan(String value) {
            addCriterion("sale_name <", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameLessThanOrEqualTo(String value) {
            addCriterion("sale_name <=", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameLike(String value) {
            addCriterion("sale_name like", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameNotLike(String value) {
            addCriterion("sale_name not like", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameIn(List<String> values) {
            addCriterion("sale_name in", values, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameNotIn(List<String> values) {
            addCriterion("sale_name not in", values, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameBetween(String value1, String value2) {
            addCriterion("sale_name between", value1, value2, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameNotBetween(String value1, String value2) {
            addCriterion("sale_name not between", value1, value2, "saleName");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailIsNull() {
            addCriterion("is_send_email is null");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailIsNotNull() {
            addCriterion("is_send_email is not null");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailEqualTo(Integer value) {
            addCriterion("is_send_email =", value, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailNotEqualTo(Integer value) {
            addCriterion("is_send_email <>", value, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailGreaterThan(Integer value) {
            addCriterion("is_send_email >", value, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailGreaterThanOrEqualTo(Integer value) {
            addCriterion("is_send_email >=", value, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailLessThan(Integer value) {
            addCriterion("is_send_email <", value, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailLessThanOrEqualTo(Integer value) {
            addCriterion("is_send_email <=", value, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailIn(List<Integer> values) {
            addCriterion("is_send_email in", values, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailNotIn(List<Integer> values) {
            addCriterion("is_send_email not in", values, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailBetween(Integer value1, Integer value2) {
            addCriterion("is_send_email between", value1, value2, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailNotBetween(Integer value1, Integer value2) {
            addCriterion("is_send_email not between", value1, value2, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeIsNull() {
            addCriterion("send_email_time is null");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeIsNotNull() {
            addCriterion("send_email_time is not null");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeEqualTo(Date value) {
            addCriterion("send_email_time =", value, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeNotEqualTo(Date value) {
            addCriterion("send_email_time <>", value, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeGreaterThan(Date value) {
            addCriterion("send_email_time >", value, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("send_email_time >=", value, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeLessThan(Date value) {
            addCriterion("send_email_time <", value, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeLessThanOrEqualTo(Date value) {
            addCriterion("send_email_time <=", value, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeIn(List<Date> values) {
            addCriterion("send_email_time in", values, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeNotIn(List<Date> values) {
            addCriterion("send_email_time not in", values, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeBetween(Date value1, Date value2) {
            addCriterion("send_email_time between", value1, value2, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeNotBetween(Date value1, Date value2) {
            addCriterion("send_email_time not between", value1, value2, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeIsNull() {
            addCriterion("start_time is null");
            return (Criteria) this;
        }

        public Criteria andStartTimeIsNotNull() {
            addCriterion("start_time is not null");
            return (Criteria) this;
        }

        public Criteria andStartTimeEqualTo(Date value) {
            addCriterion("start_time =", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotEqualTo(Date value) {
            addCriterion("start_time <>", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeGreaterThan(Date value) {
            addCriterion("start_time >", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("start_time >=", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeLessThan(Date value) {
            addCriterion("start_time <", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeLessThanOrEqualTo(Date value) {
            addCriterion("start_time <=", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeIn(List<Date> values) {
            addCriterion("start_time in", values, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotIn(List<Date> values) {
            addCriterion("start_time not in", values, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeBetween(Date value1, Date value2) {
            addCriterion("start_time between", value1, value2, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotBetween(Date value1, Date value2) {
            addCriterion("start_time not between", value1, value2, "startTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNull() {
            addCriterion("end_time is null");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNotNull() {
            addCriterion("end_time is not null");
            return (Criteria) this;
        }

        public Criteria andEndTimeEqualTo(Date value) {
            addCriterion("end_time =", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotEqualTo(Date value) {
            addCriterion("end_time <>", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThan(Date value) {
            addCriterion("end_time >", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("end_time >=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThan(Date value) {
            addCriterion("end_time <", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThanOrEqualTo(Date value) {
            addCriterion("end_time <=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIn(List<Date> values) {
            addCriterion("end_time in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotIn(List<Date> values) {
            addCriterion("end_time not in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeBetween(Date value1, Date value2) {
            addCriterion("end_time between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotBetween(Date value1, Date value2) {
            addCriterion("end_time not between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusIsNull() {
            addCriterion("back_account_status is null");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusIsNotNull() {
            addCriterion("back_account_status is not null");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusEqualTo(Integer value) {
            addCriterion("back_account_status =", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusNotEqualTo(Integer value) {
            addCriterion("back_account_status <>", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusGreaterThan(Integer value) {
            addCriterion("back_account_status >", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("back_account_status >=", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusLessThan(Integer value) {
            addCriterion("back_account_status <", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusLessThanOrEqualTo(Integer value) {
            addCriterion("back_account_status <=", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusIn(List<Integer> values) {
            addCriterion("back_account_status in", values, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusNotIn(List<Integer> values) {
            addCriterion("back_account_status not in", values, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusBetween(Integer value1, Integer value2) {
            addCriterion("back_account_status between", value1, value2, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("back_account_status not between", value1, value2, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusIsNull() {
            addCriterion("invoice_apply_status is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusIsNotNull() {
            addCriterion("invoice_apply_status is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusEqualTo(Integer value) {
            addCriterion("invoice_apply_status =", value, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusNotEqualTo(Integer value) {
            addCriterion("invoice_apply_status <>", value, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusGreaterThan(Integer value) {
            addCriterion("invoice_apply_status >", value, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_apply_status >=", value, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusLessThan(Integer value) {
            addCriterion("invoice_apply_status <", value, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_apply_status <=", value, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusIn(List<Integer> values) {
            addCriterion("invoice_apply_status in", values, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusNotIn(List<Integer> values) {
            addCriterion("invoice_apply_status not in", values, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusBetween(Integer value1, Integer value2) {
            addCriterion("invoice_apply_status between", value1, value2, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_apply_status not between", value1, value2, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyUserIdIsNull() {
            addCriterion("invoice_apply_user_id is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyUserIdIsNotNull() {
            addCriterion("invoice_apply_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyUserIdEqualTo(Long value) {
            addCriterion("invoice_apply_user_id =", value, "invoiceApplyUserId");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyUserIdNotEqualTo(Long value) {
            addCriterion("invoice_apply_user_id <>", value, "invoiceApplyUserId");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyUserIdGreaterThan(Long value) {
            addCriterion("invoice_apply_user_id >", value, "invoiceApplyUserId");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("invoice_apply_user_id >=", value, "invoiceApplyUserId");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyUserIdLessThan(Long value) {
            addCriterion("invoice_apply_user_id <", value, "invoiceApplyUserId");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyUserIdLessThanOrEqualTo(Long value) {
            addCriterion("invoice_apply_user_id <=", value, "invoiceApplyUserId");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyUserIdIn(List<Long> values) {
            addCriterion("invoice_apply_user_id in", values, "invoiceApplyUserId");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyUserIdNotIn(List<Long> values) {
            addCriterion("invoice_apply_user_id not in", values, "invoiceApplyUserId");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyUserIdBetween(Long value1, Long value2) {
            addCriterion("invoice_apply_user_id between", value1, value2, "invoiceApplyUserId");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyUserIdNotBetween(Long value1, Long value2) {
            addCriterion("invoice_apply_user_id not between", value1, value2, "invoiceApplyUserId");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyTimeIsNull() {
            addCriterion("invoice_apply_time is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyTimeIsNotNull() {
            addCriterion("invoice_apply_time is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyTimeEqualTo(Date value) {
            addCriterion("invoice_apply_time =", value, "invoiceApplyTime");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyTimeNotEqualTo(Date value) {
            addCriterion("invoice_apply_time <>", value, "invoiceApplyTime");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyTimeGreaterThan(Date value) {
            addCriterion("invoice_apply_time >", value, "invoiceApplyTime");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("invoice_apply_time >=", value, "invoiceApplyTime");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyTimeLessThan(Date value) {
            addCriterion("invoice_apply_time <", value, "invoiceApplyTime");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyTimeLessThanOrEqualTo(Date value) {
            addCriterion("invoice_apply_time <=", value, "invoiceApplyTime");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyTimeIn(List<Date> values) {
            addCriterion("invoice_apply_time in", values, "invoiceApplyTime");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyTimeNotIn(List<Date> values) {
            addCriterion("invoice_apply_time not in", values, "invoiceApplyTime");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyTimeBetween(Date value1, Date value2) {
            addCriterion("invoice_apply_time between", value1, value2, "invoiceApplyTime");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyTimeNotBetween(Date value1, Date value2) {
            addCriterion("invoice_apply_time not between", value1, value2, "invoiceApplyTime");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyModeRecordIsNull() {
            addCriterion("invoice_apply_mode_record is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyModeRecordIsNotNull() {
            addCriterion("invoice_apply_mode_record is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyModeRecordEqualTo(Integer value) {
            addCriterion("invoice_apply_mode_record =", value, "invoiceApplyModeRecord");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyModeRecordNotEqualTo(Integer value) {
            addCriterion("invoice_apply_mode_record <>", value, "invoiceApplyModeRecord");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyModeRecordGreaterThan(Integer value) {
            addCriterion("invoice_apply_mode_record >", value, "invoiceApplyModeRecord");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyModeRecordGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_apply_mode_record >=", value, "invoiceApplyModeRecord");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyModeRecordLessThan(Integer value) {
            addCriterion("invoice_apply_mode_record <", value, "invoiceApplyModeRecord");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyModeRecordLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_apply_mode_record <=", value, "invoiceApplyModeRecord");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyModeRecordIn(List<Integer> values) {
            addCriterion("invoice_apply_mode_record in", values, "invoiceApplyModeRecord");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyModeRecordNotIn(List<Integer> values) {
            addCriterion("invoice_apply_mode_record not in", values, "invoiceApplyModeRecord");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyModeRecordBetween(Integer value1, Integer value2) {
            addCriterion("invoice_apply_mode_record between", value1, value2, "invoiceApplyModeRecord");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyModeRecordNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_apply_mode_record not between", value1, value2, "invoiceApplyModeRecord");
            return (Criteria) this;
        }

        public Criteria andOrderQuantityIsNull() {
            addCriterion("order_quantity is null");
            return (Criteria) this;
        }

        public Criteria andOrderQuantityIsNotNull() {
            addCriterion("order_quantity is not null");
            return (Criteria) this;
        }

        public Criteria andOrderQuantityEqualTo(Integer value) {
            addCriterion("order_quantity =", value, "orderQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderQuantityNotEqualTo(Integer value) {
            addCriterion("order_quantity <>", value, "orderQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderQuantityGreaterThan(Integer value) {
            addCriterion("order_quantity >", value, "orderQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderQuantityGreaterThanOrEqualTo(Integer value) {
            addCriterion("order_quantity >=", value, "orderQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderQuantityLessThan(Integer value) {
            addCriterion("order_quantity <", value, "orderQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderQuantityLessThanOrEqualTo(Integer value) {
            addCriterion("order_quantity <=", value, "orderQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderQuantityIn(List<Integer> values) {
            addCriterion("order_quantity in", values, "orderQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderQuantityNotIn(List<Integer> values) {
            addCriterion("order_quantity not in", values, "orderQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderQuantityBetween(Integer value1, Integer value2) {
            addCriterion("order_quantity between", value1, value2, "orderQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderQuantityNotBetween(Integer value1, Integer value2) {
            addCriterion("order_quantity not between", value1, value2, "orderQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsQuantityIsNull() {
            addCriterion("goods_quantity is null");
            return (Criteria) this;
        }

        public Criteria andGoodsQuantityIsNotNull() {
            addCriterion("goods_quantity is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsQuantityEqualTo(Integer value) {
            addCriterion("goods_quantity =", value, "goodsQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsQuantityNotEqualTo(Integer value) {
            addCriterion("goods_quantity <>", value, "goodsQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsQuantityGreaterThan(Integer value) {
            addCriterion("goods_quantity >", value, "goodsQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsQuantityGreaterThanOrEqualTo(Integer value) {
            addCriterion("goods_quantity >=", value, "goodsQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsQuantityLessThan(Integer value) {
            addCriterion("goods_quantity <", value, "goodsQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsQuantityLessThanOrEqualTo(Integer value) {
            addCriterion("goods_quantity <=", value, "goodsQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsQuantityIn(List<Integer> values) {
            addCriterion("goods_quantity in", values, "goodsQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsQuantityNotIn(List<Integer> values) {
            addCriterion("goods_quantity not in", values, "goodsQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsQuantityBetween(Integer value1, Integer value2) {
            addCriterion("goods_quantity between", value1, value2, "goodsQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsQuantityNotBetween(Integer value1, Integer value2) {
            addCriterion("goods_quantity not between", value1, value2, "goodsQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsItemQuantityIsNull() {
            addCriterion("goods_item_quantity is null");
            return (Criteria) this;
        }

        public Criteria andGoodsItemQuantityIsNotNull() {
            addCriterion("goods_item_quantity is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsItemQuantityEqualTo(Integer value) {
            addCriterion("goods_item_quantity =", value, "goodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsItemQuantityNotEqualTo(Integer value) {
            addCriterion("goods_item_quantity <>", value, "goodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsItemQuantityGreaterThan(Integer value) {
            addCriterion("goods_item_quantity >", value, "goodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsItemQuantityGreaterThanOrEqualTo(Integer value) {
            addCriterion("goods_item_quantity >=", value, "goodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsItemQuantityLessThan(Integer value) {
            addCriterion("goods_item_quantity <", value, "goodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsItemQuantityLessThanOrEqualTo(Integer value) {
            addCriterion("goods_item_quantity <=", value, "goodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsItemQuantityIn(List<Integer> values) {
            addCriterion("goods_item_quantity in", values, "goodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsItemQuantityNotIn(List<Integer> values) {
            addCriterion("goods_item_quantity not in", values, "goodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsItemQuantityBetween(Integer value1, Integer value2) {
            addCriterion("goods_item_quantity between", value1, value2, "goodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andGoodsItemQuantityNotBetween(Integer value1, Integer value2) {
            addCriterion("goods_item_quantity not between", value1, value2, "goodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderAmountIsNull() {
            addCriterion("order_amount is null");
            return (Criteria) this;
        }

        public Criteria andOrderAmountIsNotNull() {
            addCriterion("order_amount is not null");
            return (Criteria) this;
        }

        public Criteria andOrderAmountEqualTo(BigDecimal value) {
            addCriterion("order_amount =", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountNotEqualTo(BigDecimal value) {
            addCriterion("order_amount <>", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountGreaterThan(BigDecimal value) {
            addCriterion("order_amount >", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_amount >=", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountLessThan(BigDecimal value) {
            addCriterion("order_amount <", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_amount <=", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountIn(List<BigDecimal> values) {
            addCriterion("order_amount in", values, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountNotIn(List<BigDecimal> values) {
            addCriterion("order_amount not in", values, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_amount between", value1, value2, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_amount not between", value1, value2, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountIsNull() {
            addCriterion("refund_order_amount is null");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountIsNotNull() {
            addCriterion("refund_order_amount is not null");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountEqualTo(BigDecimal value) {
            addCriterion("refund_order_amount =", value, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountNotEqualTo(BigDecimal value) {
            addCriterion("refund_order_amount <>", value, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountGreaterThan(BigDecimal value) {
            addCriterion("refund_order_amount >", value, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_order_amount >=", value, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountLessThan(BigDecimal value) {
            addCriterion("refund_order_amount <", value, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_order_amount <=", value, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountIn(List<BigDecimal> values) {
            addCriterion("refund_order_amount in", values, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountNotIn(List<BigDecimal> values) {
            addCriterion("refund_order_amount not in", values, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_order_amount between", value1, value2, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_order_amount not between", value1, value2, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountIsNull() {
            addCriterion("goods_amount is null");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountIsNotNull() {
            addCriterion("goods_amount is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountEqualTo(BigDecimal value) {
            addCriterion("goods_amount =", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountNotEqualTo(BigDecimal value) {
            addCriterion("goods_amount <>", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountGreaterThan(BigDecimal value) {
            addCriterion("goods_amount >", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_amount >=", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountLessThan(BigDecimal value) {
            addCriterion("goods_amount <", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_amount <=", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountIn(List<BigDecimal> values) {
            addCriterion("goods_amount in", values, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountNotIn(List<BigDecimal> values) {
            addCriterion("goods_amount not in", values, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_amount between", value1, value2, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_amount not between", value1, value2, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountIsNull() {
            addCriterion("refund_goods_amount is null");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountIsNotNull() {
            addCriterion("refund_goods_amount is not null");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountEqualTo(BigDecimal value) {
            addCriterion("refund_goods_amount =", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountNotEqualTo(BigDecimal value) {
            addCriterion("refund_goods_amount <>", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountGreaterThan(BigDecimal value) {
            addCriterion("refund_goods_amount >", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_goods_amount >=", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountLessThan(BigDecimal value) {
            addCriterion("refund_goods_amount <", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_goods_amount <=", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountIn(List<BigDecimal> values) {
            addCriterion("refund_goods_amount in", values, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountNotIn(List<BigDecimal> values) {
            addCriterion("refund_goods_amount not in", values, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_goods_amount between", value1, value2, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_goods_amount not between", value1, value2, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountIsNull() {
            addCriterion("order_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountIsNotNull() {
            addCriterion("order_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountEqualTo(BigDecimal value) {
            addCriterion("order_cost_amount =", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("order_cost_amount <>", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountGreaterThan(BigDecimal value) {
            addCriterion("order_cost_amount >", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_cost_amount >=", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountLessThan(BigDecimal value) {
            addCriterion("order_cost_amount <", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_cost_amount <=", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountIn(List<BigDecimal> values) {
            addCriterion("order_cost_amount in", values, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("order_cost_amount not in", values, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_cost_amount between", value1, value2, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_cost_amount not between", value1, value2, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountIsNull() {
            addCriterion("refund_order_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountIsNotNull() {
            addCriterion("refund_order_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountEqualTo(BigDecimal value) {
            addCriterion("refund_order_cost_amount =", value, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("refund_order_cost_amount <>", value, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountGreaterThan(BigDecimal value) {
            addCriterion("refund_order_cost_amount >", value, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_order_cost_amount >=", value, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountLessThan(BigDecimal value) {
            addCriterion("refund_order_cost_amount <", value, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_order_cost_amount <=", value, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountIn(List<BigDecimal> values) {
            addCriterion("refund_order_cost_amount in", values, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("refund_order_cost_amount not in", values, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_order_cost_amount between", value1, value2, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_order_cost_amount not between", value1, value2, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountIsNull() {
            addCriterion("accounting_order_amount is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountIsNotNull() {
            addCriterion("accounting_order_amount is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountEqualTo(BigDecimal value) {
            addCriterion("accounting_order_amount =", value, "accountingOrderAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountNotEqualTo(BigDecimal value) {
            addCriterion("accounting_order_amount <>", value, "accountingOrderAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountGreaterThan(BigDecimal value) {
            addCriterion("accounting_order_amount >", value, "accountingOrderAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("accounting_order_amount >=", value, "accountingOrderAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountLessThan(BigDecimal value) {
            addCriterion("accounting_order_amount <", value, "accountingOrderAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("accounting_order_amount <=", value, "accountingOrderAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountIn(List<BigDecimal> values) {
            addCriterion("accounting_order_amount in", values, "accountingOrderAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountNotIn(List<BigDecimal> values) {
            addCriterion("accounting_order_amount not in", values, "accountingOrderAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("accounting_order_amount between", value1, value2, "accountingOrderAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("accounting_order_amount not between", value1, value2, "accountingOrderAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountWithFreightIsNull() {
            addCriterion("accounting_order_amount_with_freight is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountWithFreightIsNotNull() {
            addCriterion("accounting_order_amount_with_freight is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountWithFreightEqualTo(BigDecimal value) {
            addCriterion("accounting_order_amount_with_freight =", value, "accountingOrderAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountWithFreightNotEqualTo(BigDecimal value) {
            addCriterion("accounting_order_amount_with_freight <>", value, "accountingOrderAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountWithFreightGreaterThan(BigDecimal value) {
            addCriterion("accounting_order_amount_with_freight >", value, "accountingOrderAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountWithFreightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("accounting_order_amount_with_freight >=", value, "accountingOrderAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountWithFreightLessThan(BigDecimal value) {
            addCriterion("accounting_order_amount_with_freight <", value, "accountingOrderAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountWithFreightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("accounting_order_amount_with_freight <=", value, "accountingOrderAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountWithFreightIn(List<BigDecimal> values) {
            addCriterion("accounting_order_amount_with_freight in", values, "accountingOrderAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountWithFreightNotIn(List<BigDecimal> values) {
            addCriterion("accounting_order_amount_with_freight not in", values, "accountingOrderAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountWithFreightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("accounting_order_amount_with_freight between", value1, value2, "accountingOrderAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderAmountWithFreightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("accounting_order_amount_with_freight not between", value1, value2, "accountingOrderAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkIsNull() {
            addCriterion("need_revise_mark is null");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkIsNotNull() {
            addCriterion("need_revise_mark is not null");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkEqualTo(Integer value) {
            addCriterion("need_revise_mark =", value, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkNotEqualTo(Integer value) {
            addCriterion("need_revise_mark <>", value, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkGreaterThan(Integer value) {
            addCriterion("need_revise_mark >", value, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkGreaterThanOrEqualTo(Integer value) {
            addCriterion("need_revise_mark >=", value, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkLessThan(Integer value) {
            addCriterion("need_revise_mark <", value, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkLessThanOrEqualTo(Integer value) {
            addCriterion("need_revise_mark <=", value, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkIn(List<Integer> values) {
            addCriterion("need_revise_mark in", values, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkNotIn(List<Integer> values) {
            addCriterion("need_revise_mark not in", values, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkBetween(Integer value1, Integer value2) {
            addCriterion("need_revise_mark between", value1, value2, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkNotBetween(Integer value1, Integer value2) {
            addCriterion("need_revise_mark not between", value1, value2, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountIsNull() {
            addCriterion("goods_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountIsNotNull() {
            addCriterion("goods_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount =", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount <>", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountGreaterThan(BigDecimal value) {
            addCriterion("goods_cost_amount >", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount >=", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountLessThan(BigDecimal value) {
            addCriterion("goods_cost_amount <", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount <=", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountIn(List<BigDecimal> values) {
            addCriterion("goods_cost_amount in", values, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("goods_cost_amount not in", values, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_cost_amount between", value1, value2, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_cost_amount not between", value1, value2, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountIsNull() {
            addCriterion("refund_goods_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountIsNotNull() {
            addCriterion("refund_goods_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountEqualTo(BigDecimal value) {
            addCriterion("refund_goods_cost_amount =", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("refund_goods_cost_amount <>", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountGreaterThan(BigDecimal value) {
            addCriterion("refund_goods_cost_amount >", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_goods_cost_amount >=", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountLessThan(BigDecimal value) {
            addCriterion("refund_goods_cost_amount <", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_goods_cost_amount <=", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountIn(List<BigDecimal> values) {
            addCriterion("refund_goods_cost_amount in", values, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("refund_goods_cost_amount not in", values, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_goods_cost_amount between", value1, value2, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_goods_cost_amount not between", value1, value2, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountIsNull() {
            addCriterion("goods_transport_amount is null");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountIsNotNull() {
            addCriterion("goods_transport_amount is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountEqualTo(BigDecimal value) {
            addCriterion("goods_transport_amount =", value, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountNotEqualTo(BigDecimal value) {
            addCriterion("goods_transport_amount <>", value, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountGreaterThan(BigDecimal value) {
            addCriterion("goods_transport_amount >", value, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_transport_amount >=", value, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountLessThan(BigDecimal value) {
            addCriterion("goods_transport_amount <", value, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_transport_amount <=", value, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountIn(List<BigDecimal> values) {
            addCriterion("goods_transport_amount in", values, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountNotIn(List<BigDecimal> values) {
            addCriterion("goods_transport_amount not in", values, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_transport_amount between", value1, value2, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_transport_amount not between", value1, value2, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsTransportAmountIsNull() {
            addCriterion("refund_goods_transport_amount is null");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsTransportAmountIsNotNull() {
            addCriterion("refund_goods_transport_amount is not null");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsTransportAmountEqualTo(BigDecimal value) {
            addCriterion("refund_goods_transport_amount =", value, "refundGoodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsTransportAmountNotEqualTo(BigDecimal value) {
            addCriterion("refund_goods_transport_amount <>", value, "refundGoodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsTransportAmountGreaterThan(BigDecimal value) {
            addCriterion("refund_goods_transport_amount >", value, "refundGoodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsTransportAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_goods_transport_amount >=", value, "refundGoodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsTransportAmountLessThan(BigDecimal value) {
            addCriterion("refund_goods_transport_amount <", value, "refundGoodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsTransportAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_goods_transport_amount <=", value, "refundGoodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsTransportAmountIn(List<BigDecimal> values) {
            addCriterion("refund_goods_transport_amount in", values, "refundGoodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsTransportAmountNotIn(List<BigDecimal> values) {
            addCriterion("refund_goods_transport_amount not in", values, "refundGoodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsTransportAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_goods_transport_amount between", value1, value2, "refundGoodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsTransportAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_goods_transport_amount not between", value1, value2, "refundGoodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountIsNull() {
            addCriterion("accounting_order_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountIsNotNull() {
            addCriterion("accounting_order_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountEqualTo(BigDecimal value) {
            addCriterion("accounting_order_cost_amount =", value, "accountingOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("accounting_order_cost_amount <>", value, "accountingOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountGreaterThan(BigDecimal value) {
            addCriterion("accounting_order_cost_amount >", value, "accountingOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("accounting_order_cost_amount >=", value, "accountingOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountLessThan(BigDecimal value) {
            addCriterion("accounting_order_cost_amount <", value, "accountingOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("accounting_order_cost_amount <=", value, "accountingOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountIn(List<BigDecimal> values) {
            addCriterion("accounting_order_cost_amount in", values, "accountingOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("accounting_order_cost_amount not in", values, "accountingOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("accounting_order_cost_amount between", value1, value2, "accountingOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("accounting_order_cost_amount not between", value1, value2, "accountingOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountWithFreightIsNull() {
            addCriterion("accounting_order_cost_amount_with_freight is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountWithFreightIsNotNull() {
            addCriterion("accounting_order_cost_amount_with_freight is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountWithFreightEqualTo(BigDecimal value) {
            addCriterion("accounting_order_cost_amount_with_freight =", value, "accountingOrderCostAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountWithFreightNotEqualTo(BigDecimal value) {
            addCriterion("accounting_order_cost_amount_with_freight <>", value, "accountingOrderCostAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountWithFreightGreaterThan(BigDecimal value) {
            addCriterion("accounting_order_cost_amount_with_freight >", value, "accountingOrderCostAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountWithFreightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("accounting_order_cost_amount_with_freight >=", value, "accountingOrderCostAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountWithFreightLessThan(BigDecimal value) {
            addCriterion("accounting_order_cost_amount_with_freight <", value, "accountingOrderCostAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountWithFreightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("accounting_order_cost_amount_with_freight <=", value, "accountingOrderCostAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountWithFreightIn(List<BigDecimal> values) {
            addCriterion("accounting_order_cost_amount_with_freight in", values, "accountingOrderCostAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountWithFreightNotIn(List<BigDecimal> values) {
            addCriterion("accounting_order_cost_amount_with_freight not in", values, "accountingOrderCostAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountWithFreightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("accounting_order_cost_amount_with_freight between", value1, value2, "accountingOrderCostAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderCostAmountWithFreightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("accounting_order_cost_amount_with_freight not between", value1, value2, "accountingOrderCostAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andServiceNoIsNull() {
            addCriterion("service_no is null");
            return (Criteria) this;
        }

        public Criteria andServiceNoIsNotNull() {
            addCriterion("service_no is not null");
            return (Criteria) this;
        }

        public Criteria andServiceNoEqualTo(String value) {
            addCriterion("service_no =", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotEqualTo(String value) {
            addCriterion("service_no <>", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoGreaterThan(String value) {
            addCriterion("service_no >", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoGreaterThanOrEqualTo(String value) {
            addCriterion("service_no >=", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLessThan(String value) {
            addCriterion("service_no <", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLessThanOrEqualTo(String value) {
            addCriterion("service_no <=", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLike(String value) {
            addCriterion("service_no like", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotLike(String value) {
            addCriterion("service_no not like", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoIn(List<String> values) {
            addCriterion("service_no in", values, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotIn(List<String> values) {
            addCriterion("service_no not in", values, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoBetween(String value1, String value2) {
            addCriterion("service_no between", value1, value2, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotBetween(String value1, String value2) {
            addCriterion("service_no not between", value1, value2, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andSourceFromIsNull() {
            addCriterion("source_from is null");
            return (Criteria) this;
        }

        public Criteria andSourceFromIsNotNull() {
            addCriterion("source_from is not null");
            return (Criteria) this;
        }

        public Criteria andSourceFromEqualTo(String value) {
            addCriterion("source_from =", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromNotEqualTo(String value) {
            addCriterion("source_from <>", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromGreaterThan(String value) {
            addCriterion("source_from >", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromGreaterThanOrEqualTo(String value) {
            addCriterion("source_from >=", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromLessThan(String value) {
            addCriterion("source_from <", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromLessThanOrEqualTo(String value) {
            addCriterion("source_from <=", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromLike(String value) {
            addCriterion("source_from like", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromNotLike(String value) {
            addCriterion("source_from not like", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromIn(List<String> values) {
            addCriterion("source_from in", values, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromNotIn(List<String> values) {
            addCriterion("source_from not in", values, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromBetween(String value1, String value2) {
            addCriterion("source_from between", value1, value2, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromNotBetween(String value1, String value2) {
            addCriterion("source_from not between", value1, value2, "sourceFrom");
            return (Criteria) this;
        }
    }

    /**
    accounting_unified_supplier
     *
     * @mbg.generated do_not_delete_during_merge Fri May 13 14:03:15 CST 2022
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
    accounting_unified_supplier
     *
     * @mbg.generated Fri May 13 14:03:15 CST 2022
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}